PlayCatan
Das offizielle Catan-Spieleportal

Sitemap

« Back

What to do by a technical problem with the web browser version?

For the PlayCatan website you need a modern browser. We support Google Chrome, Mozilla Firefox, Apple Safari, Opera and Internet Explorer 11. Please make sure that JavaScript is activated and you are using the latest version of your web browser.

The the introductory games and the games against computer opponents are needing the latest Java runtime environment from www.java.com.

If you have a problem with the program, you have the following options:

  • Look into the FAQ or the online manual if your problem has already been addressed.

  • You can contact us via e-mail.

    Please provide the following information:

    1. Which operating system do you have? (Windows XP, Windows 8, MacOS X etc.)
    2. Which web browser are you using and which version number does it have? (Firefox, Google Chrome, Internet Explorer etc.)
    3. What’s the configuration of the system? (Processor, RAM, graphics card)
    4. Please describe the problem as exactly as possible. Providing a screenshot of the situation may help in identifying the issue.